ff_checker Module Reference
Inheritance diagram for ff_checker:
[legend]
Collaboration diagram for ff_checker:
[legend]

## Static Public Member Functions

## Always Constructs

ALWAYS_214 | ( clk )
ALWAYS_215 | ( clk )
ALWAYS_216 | ( clk )
ALWAYS_217 | ( clk )
ALWAYS_218 | ( clk )
ALWAYS_219 | ( clk )
ALWAYS_220 | ( clk )
ALWAYS_221 | ( clk )
ALWAYS_222 | ( clk )
ALWAYS_223 | ( clk )
ALWAYS_224 | ( clk )
ALWAYS_225 | ( clk )
ALWAYS_226 | ( clk )
ALWAYS_227 | ( clk )
ALWAYS_228 | ( clk )
ALWAYS_229 | ( clk )
ALWAYS_230 | ( clk )
ALWAYS_231 | ( clk )
ALWAYS_232 | ( clk )
ALWAYS_233 | ( clk )
ALWAYS_234 | ( clk )
ALWAYS_235 | ( clk )
ALWAYS_236 | ( clk )
ALWAYS_237 | ( clk )
ALWAYS_238 | ( clk )
ALWAYS_239 | ( clk )
ALWAYS_240 | ( clk )
ALWAYS_241 | ( clk )
ALWAYS_242 | ( clk )
ALWAYS_243 | ( clk )
ALWAYS_244 | ( clk )
ALWAYS_245 | ( clk )
ALWAYS_246 | ( clk )
ALWAYS_247 | ( clk )
ALWAYS_248 | ( clk )
ALWAYS_249 | ( clk )
ALWAYS_250 | ( clk )
ALWAYS_251 | ( clk )
ALWAYS_252 | ( clk )

## Public Attributes

## Inputs

clk |
rst |
end_of_file_signal |
JPEG_in | [ 31 : 0 ]
data_ready_in |
orc_reg_in | [ 4 : 0 ]

## Outputs

JPEG_bitstream_1 | [ 31 : 0 ]
data_ready_1 |
orc_reg | [ 4 : 0 ]
eof_data_partial_ready |

## Signals

reg | first_2bytes
reg | second_2bytes
reg | third_2bytes
reg | fourth_2bytes
reg | first_2bytes_eof
reg | second_2bytes_eof
reg | third_2bytes_eof
reg | fourth_2bytes_eof
reg | fifth_2bytes_eof
reg | s2b
reg | t2b
reg[ 79 : 0 ] | JPEG_eof_6
reg[ 79 : 0 ] | JPEG_eof_7
reg[ 63 : 0 ] | JPEG_5
reg[ 63 : 0 ] | JPEG_eof_5_1
reg[ 63 : 0 ] | JPEG_6
reg[ 63 : 0 ] | JPEG_7
reg[ 55 : 0 ] | JPEG_4
reg[ 55 : 0 ] | JPEG_eof_3
reg[ 55 : 0 ] | JPEG_eof_4
reg[ 55 : 0 ] | JPEG_eof_5
reg[ 47 : 0 ] | JPEG_3
reg[ 47 : 0 ] | JPEG_eof_2
reg[ 39 : 0 ] | JPEG_2
reg[ 39 : 0 ] | JPEG_eof_1
reg[ 31 : 0 ] | JPEG_1
reg[ 31 : 0 ] | JPEG_ro
reg[ 31 : 0 ] | JPEG_bitstream
reg[ 31 : 0 ] | JPEG_bitstream_1
reg[ 31 : 0 ] | JPEG_eof
reg[ 31 : 0 ] | JPEG_eof_ro
reg[ 31 : 0 ] | JPEG_bitstream_eof
reg[ 15 : 0 ] | JPEG_eof_ro_ro
reg[ 87 : 0 ] | JPEG_out
reg[ 87 : 0 ] | JPEG_out_1
reg[ 87 : 0 ] | JPEG_pf
reg[ 23 : 0 ] | JPEG_ro_ro
reg | dr_in_1
reg | dr_in_2
reg | dr_in_3
reg | dr_in_4
reg | dr_in_5
reg | dr_in_6
reg | dr_in_7
reg | dr_in_8
reg | rollover
reg | rollover_1
reg | rollover_2
reg | rollover_3
reg | rollover_4
reg | rollover_5
reg | rollover_pf
reg | rpf_1
reg[ 1 : 0 ] | FF_count
reg[ 1 : 0 ] | FF_count_1
reg[ 1 : 0 ] | FF_eof_shift
reg[ 2 : 0 ] | count_total
reg[ 2 : 0 ] | ct_1
reg[ 1 : 0 ] | ffc_1
reg[ 1 : 0 ] | ffc_2
reg[ 1 : 0 ] | ffc_3
reg[ 1 : 0 ] | ffc_4
reg[ 1 : 0 ] | ffc_5
reg[ 1 : 0 ] | ffc_6
reg[ 1 : 0 ] | ffc_7
reg[ 1 : 0 ] | ffc_postfifo
reg[ 1 : 0 ] | count_total_eof
reg[ 4 : 0 ] | orc_input
reg[ 4 : 0 ] | orc_reg
reg[ 6 : 0 ] | extra_bits_eof
reg[ 6 : 0 ] | extra_bits_eof_1
wire[ 90 : 0 ] | read_data
wire[ 90 : 0 ] | write_data
reg | data_ready
reg | data_ready_1
reg | write_enable
reg | read_req
reg | rdv_1
reg | end_of_file_enable
reg | eof_count_enable
reg | eof_data_partial_ready
reg | eof_dpr_1
reg | eof_dpr_2
reg | end_of_file_enable_hold
reg | eof_data_ready
reg | eof_data_ready_1
reg | eof_bits_1
reg | eof_bits_2
reg | eof_bits_3
reg[ 8 : 0 ] | eof_count
wire | fifo_empty
wire | rdata_valid

## Module Instances

sync_fifo_ff::u18 | Module sync_fifo_ff

## Detailed Description

Definition at line 42 of file ff_checker.v.

## Member Function Documentation

ALWAYS_214 | ( |  | clk
| ) |  |

Always Construct

Definition at line 102 of file ff_checker.v.

ALWAYS_215 | ( |  | clk
| ) |  |

Always Construct

Definition at line 112 of file ff_checker.v.

ALWAYS_216 | ( |  | clk
| ) |  |

Always Construct

Definition at line 122 of file ff_checker.v.

ALWAYS_217 | ( |  | clk
| ) |  |

Always Construct

Definition at line 132 of file ff_checker.v.

ALWAYS_218 | ( |  | clk
| ) |  |

Always Construct

Definition at line 142 of file ff_checker.v.

ALWAYS_219 | ( |  | clk
| ) |  |

Always Construct

Definition at line 152 of file ff_checker.v.

ALWAYS_220 | ( |  | clk
| ) |  |

Always Construct

Definition at line 164 of file ff_checker.v.

ALWAYS_221 | ( |  | clk
| ) |  |

Always Construct

Definition at line 179 of file ff_checker.v.

ALWAYS_222 | ( |  | clk
| ) |  |

Always Construct

Definition at line 187 of file ff_checker.v.

ALWAYS_223 | ( |  | clk
| ) |  |

Always Construct

Definition at line 207 of file ff_checker.v.

ALWAYS_224 | ( |  | clk
| ) |  |

Always Construct

Definition at line 258 of file ff_checker.v.

ALWAYS_225 | ( |  | clk
| ) |  |

Always Construct

Definition at line 299 of file ff_checker.v.

ALWAYS_226 | ( |  | clk
| ) |  |

Always Construct

Definition at line 309 of file ff_checker.v.

ALWAYS_227 | ( |  | clk
| ) |  |

Always Construct

Definition at line 319 of file ff_checker.v.

ALWAYS_228 | ( |  | clk
| ) |  |

Always Construct

Definition at line 329 of file ff_checker.v.

ALWAYS_229 | ( |  | clk
| ) |  |

Always Construct

Definition at line 339 of file ff_checker.v.

ALWAYS_230 | ( |  | clk
| ) |  |

Always Construct

Definition at line 351 of file ff_checker.v.

ALWAYS_231 | ( |  | clk
| ) |  |

Always Construct

Definition at line 364 of file ff_checker.v.

ALWAYS_232 | ( |  | clk
| ) |  |

Always Construct

Definition at line 374 of file ff_checker.v.

ALWAYS_233 | ( |  | clk
| ) |  |

Always Construct

Definition at line 384 of file ff_checker.v.

ALWAYS_234 | ( |  | clk
| ) |  |

Always Construct

Definition at line 394 of file ff_checker.v.

ALWAYS_235 | ( |  | clk
| ) |  |

Always Construct

Definition at line 404 of file ff_checker.v.

ALWAYS_236 | ( |  | clk
| ) |  |

Always Construct

Definition at line 414 of file ff_checker.v.

ALWAYS_237 | ( |  | clk
| ) |  |

Always Construct

Definition at line 425 of file ff_checker.v.

ALWAYS_238 | ( |  | clk
| ) |  |

Always Construct

Definition at line 433 of file ff_checker.v.

ALWAYS_239 | ( |  | clk
| ) |  |

Always Construct

Definition at line 443 of file ff_checker.v.

ALWAYS_240 | ( |  | clk
| ) |  |

Always Construct

Definition at line 457 of file ff_checker.v.

ALWAYS_241 | ( |  | clk
| ) |  |

Always Construct

Definition at line 466 of file ff_checker.v.

ALWAYS_242 | ( |  | clk
| ) |  |

Always Construct

Definition at line 477 of file ff_checker.v.

ALWAYS_243 | ( |  | clk
| ) |  |

Always Construct

Definition at line 488 of file ff_checker.v.

ALWAYS_244 | ( |  | clk
| ) |  |

Always Construct

Definition at line 501 of file ff_checker.v.

ALWAYS_245 | ( |  | clk
| ) |  |

Always Construct

Definition at line 515 of file ff_checker.v.

ALWAYS_246 | ( |  | clk
| ) |  |

Always Construct

Definition at line 530 of file ff_checker.v.

ALWAYS_247 | ( |  | clk
| ) |  |

Always Construct

Definition at line 545 of file ff_checker.v.

ALWAYS_248 | ( |  | clk
| ) |  |

Always Construct

Definition at line 563 of file ff_checker.v.

ALWAYS_249 | ( |  | clk
| ) |  |

Always Construct

Definition at line 578 of file ff_checker.v.

ALWAYS_250 | ( |  | clk
| ) |  |

Always Construct

Definition at line 594 of file ff_checker.v.

ALWAYS_251 | ( |  | clk
| ) |  |

Always Construct

Definition at line 607 of file ff_checker.v.

ALWAYS_252 | ( |  | clk
| ) |  |

Always Construct

Definition at line 626 of file ff_checker.v.

## Member Data Documentation

clk

Input

Definition at line 44 of file ff_checker.v.

rst

Input

Definition at line 45 of file ff_checker.v.

end_of_file_signal

Input

Definition at line 46 of file ff_checker.v.

JPEG_in [ 31 : 0 ]

Input

Definition at line 47 of file ff_checker.v.

data_ready_in

Input

Definition at line 48 of file ff_checker.v.

orc_reg_in [ 4 : 0 ]

Input

Definition at line 49 of file ff_checker.v.

JPEG_bitstream_1 [ 31 : 0 ]

Output

Definition at line 50 of file ff_checker.v.

data_ready_1

Output

Definition at line 51 of file ff_checker.v.

orc_reg [ 4 : 0 ]

Output

Definition at line 52 of file ff_checker.v.

eof_data_partial_ready

Output

Definition at line 53 of file ff_checker.v.

first_2bytes

Signal

Definition at line 56 of file ff_checker.v.

second_2bytes

Signal

Definition at line 56 of file ff_checker.v.

third_2bytes

Signal

Definition at line 56 of file ff_checker.v.

fourth_2bytes

Signal

Definition at line 56 of file ff_checker.v.

first_2bytes_eof

Signal

Definition at line 57 of file ff_checker.v.

second_2bytes_eof

Signal

Definition at line 57 of file ff_checker.v.

third_2bytes_eof

Signal

Definition at line 57 of file ff_checker.v.

fourth_2bytes_eof

Signal

Definition at line 58 of file ff_checker.v.

fifth_2bytes_eof

Signal

Definition at line 58 of file ff_checker.v.

s2b

Signal

Definition at line 58 of file ff_checker.v.

t2b

Signal

Definition at line 58 of file ff_checker.v.

JPEG_eof_6

Signal

Definition at line 59 of file ff_checker.v.

JPEG_eof_7

Signal

Definition at line 59 of file ff_checker.v.

JPEG_5

Signal

Definition at line 60 of file ff_checker.v.

JPEG_eof_5_1

Signal

Definition at line 60 of file ff_checker.v.

JPEG_6

Signal

Definition at line 60 of file ff_checker.v.

JPEG_7

Signal

Definition at line 60 of file ff_checker.v.

JPEG_4

Signal

Definition at line 61 of file ff_checker.v.

JPEG_eof_3

Signal

Definition at line 61 of file ff_checker.v.

JPEG_eof_4

Signal

Definition at line 61 of file ff_checker.v.

JPEG_eof_5

Signal

Definition at line 61 of file ff_checker.v.

JPEG_3

Signal

Definition at line 62 of file ff_checker.v.

JPEG_eof_2

Signal

Definition at line 62 of file ff_checker.v.

JPEG_2

Signal

Definition at line 63 of file ff_checker.v.

JPEG_eof_1

Signal

Definition at line 63 of file ff_checker.v.

JPEG_1

Signal

Definition at line 64 of file ff_checker.v.

JPEG_ro

Signal

Definition at line 64 of file ff_checker.v.

JPEG_bitstream

Signal

Definition at line 64 of file ff_checker.v.

JPEG_bitstream_1

Signal

Definition at line 64 of file ff_checker.v.

JPEG_eof

Signal

Definition at line 65 of file ff_checker.v.

JPEG_eof_ro

Signal

Definition at line 65 of file ff_checker.v.

JPEG_bitstream_eof

Signal

Definition at line 66 of file ff_checker.v.

JPEG_eof_ro_ro

Signal

Definition at line 67 of file ff_checker.v.

JPEG_out

Signal

Definition at line 68 of file ff_checker.v.

JPEG_out_1

Signal

Definition at line 68 of file ff_checker.v.

JPEG_pf

Signal

Definition at line 68 of file ff_checker.v.

JPEG_ro_ro

Signal

Definition at line 69 of file ff_checker.v.

dr_in_1

Signal

Definition at line 70 of file ff_checker.v.

dr_in_2

Signal

Definition at line 70 of file ff_checker.v.

dr_in_3

Signal

Definition at line 70 of file ff_checker.v.

dr_in_4

Signal

Definition at line 70 of file ff_checker.v.

dr_in_5

Signal

Definition at line 70 of file ff_checker.v.

dr_in_6

Signal

Definition at line 70 of file ff_checker.v.

dr_in_7

Signal

Definition at line 71 of file ff_checker.v.

dr_in_8

Signal

Definition at line 71 of file ff_checker.v.

rollover

Signal

Definition at line 72 of file ff_checker.v.

rollover_1

Signal

Definition at line 72 of file ff_checker.v.

rollover_2

Signal

Definition at line 72 of file ff_checker.v.

rollover_3

Signal

Definition at line 72 of file ff_checker.v.

rollover_4

Signal

Definition at line 72 of file ff_checker.v.

rollover_5

Signal

Definition at line 72 of file ff_checker.v.

rollover_pf

Signal

Definition at line 73 of file ff_checker.v.

rpf_1

Signal

Definition at line 73 of file ff_checker.v.

FF_count

Signal

Definition at line 74 of file ff_checker.v.

FF_count_1

Signal

Definition at line 74 of file ff_checker.v.

FF_eof_shift

Signal

Definition at line 74 of file ff_checker.v.

count_total

Signal

Definition at line 75 of file ff_checker.v.

ct_1

Signal

Definition at line 75 of file ff_checker.v.

ffc_1

Signal

Definition at line 76 of file ff_checker.v.

ffc_2

Signal

Definition at line 76 of file ff_checker.v.

ffc_3

Signal

Definition at line 76 of file ff_checker.v.

ffc_4

Signal

Definition at line 76 of file ff_checker.v.

ffc_5

Signal

Definition at line 76 of file ff_checker.v.

ffc_6

Signal

Definition at line 76 of file ff_checker.v.

ffc_7

Signal

Definition at line 76 of file ff_checker.v.

ffc_postfifo

Signal

Definition at line 77 of file ff_checker.v.

count_total_eof

Signal

Definition at line 77 of file ff_checker.v.

orc_input

Signal

Definition at line 78 of file ff_checker.v.

orc_reg

Signal

Definition at line 79 of file ff_checker.v.

extra_bits_eof

Signal

Definition at line 80 of file ff_checker.v.

extra_bits_eof_1

Signal

Definition at line 80 of file ff_checker.v.

read_data

Signal

Definition at line 81 of file ff_checker.v.

write_data

Signal

Definition at line 82 of file ff_checker.v.

data_ready

Signal

Definition at line 83 of file ff_checker.v.

data_ready_1

Signal

Definition at line 83 of file ff_checker.v.

write_enable

Signal

Definition at line 83 of file ff_checker.v.

read_req

Signal

Definition at line 83 of file ff_checker.v.

rdv_1

Signal

Definition at line 83 of file ff_checker.v.

end_of_file_enable

Signal

Definition at line 84 of file ff_checker.v.

eof_count_enable

Signal

Definition at line 84 of file ff_checker.v.

eof_data_partial_ready

Signal

Definition at line 85 of file ff_checker.v.

eof_dpr_1

Signal

Definition at line 85 of file ff_checker.v.

eof_dpr_2

Signal

Definition at line 85 of file ff_checker.v.

end_of_file_enable_hold

Signal

Definition at line 86 of file ff_checker.v.

eof_data_ready

Signal

Definition at line 86 of file ff_checker.v.

eof_data_ready_1

Signal

Definition at line 87 of file ff_checker.v.

eof_bits_1

Signal

Definition at line 87 of file ff_checker.v.

eof_bits_2

Signal

Definition at line 87 of file ff_checker.v.

eof_bits_3

Signal

Definition at line 87 of file ff_checker.v.

eof_count

Signal

Definition at line 88 of file ff_checker.v.

fifo_empty

Signal

Definition at line 89 of file ff_checker.v.

rdata_valid

Signal

Definition at line 89 of file ff_checker.v.

sync_fifo_ff u18

Module Instance

Definition at line 91 of file ff_checker.v.

The documentation for this Module was generated from the following files:

- code/ff_checker.v